[![pipeline status](https://gitlab.com/etherlab.org/testmanager/badges/master/pipeline.svg)](https://gitlab.com/etherlab.org/testmanager/-/commits/master)

# Testmanager

The Testmanager is a graphical application, that was made for visualizing parameters and signals of an EtherLab control process. The application is connected to the control process via the MSR protocol (2345/tcp).

Parameters and signals of the control process are registered within the application. These values can be dynamically linked to operation- and visualization instruments. For that, the Testmanager gets a flexible and user-friendly operator's application.

# Install

[PdCom](https://gitlab.com/etherlab.org/pdcom) and [QtPdWidgets](https://gitlab.com/etherlab.org/qtpdwidgets) are required.

Then, run `qmake-qt5` and `make install`.

# Quickstart

Let's say there is a control process running on your pc. Start the Testmanager and click on 'Add Connection'. Enter an appropriate hostname (e.g. `localhost`).
On the left panel, a tree with all process parameters and signals will appear.

Then, click on 'Edit', which makes the middle panel editable. Do a right click on the canvas and add a widget.
The connection between a variable and a widget can be created by dragging the variable from the tree onto the widget.
